Name:		qubes-manager
Version:	4.3.5
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-pyqt6
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.3.0
Requires:	python%{python3_pkgversion}-qasync
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt6-devel
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	make
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt6-qtbase-devel
%else
BuildRequires:  qt6-devel
%endif
BuildRequires:  qt6-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations PYTHON=%{__python3}
make python PYTHON=%{__python3}

%install
make python_install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/bin/qvm-template-gui
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py
%{python3_sitelib}/qubesmanager/qvm_template_gui.py

%{python3_sitelib}/qubesmanager/resources.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/ui_qvmtemplate.py
%{python3_sitelib}/qubesmanager/ui_templateinstallconfirmdlg.py
%{python3_sitelib}/qubesmanager/ui_templateinstallprogressdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/applications/qubes-template-switcher.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Mon Nov 04 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager.git

* Mon Nov 04 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4aee918
- version 4.3.5-1

* Fri Nov 01 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c29be64
- Fix tests and async use

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d21b22a
- Add qt6 to debian build dir

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d9e8641
- Use more keyword-only arguments to appease pylint

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c4c893d
- Update qt to PyQt6

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - dd7af92
- Improve Template Manager UI

* Mon Oct 14 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - fd23b57
- Fixes to Template Switcher

* Thu Sep 12 2024 Ali Mirjamali <ali@mirjamali.com> - cda3acf
- Show no IP for non-networked qubes

* Thu Sep 12 2024 Ali Mirjamali <ali@mirjamali.com> - 9ecedf3
- Add Ctrl+Q=exit, Ctrl+N=New qube, Home & End keys

* Tue Sep 03 2024 Ali Mirjamali <ali@mirjamali.com> - 547a147
- Remove stale, incomplete QubeManager release notes

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f3d5b9b
- version 4.3.4-1

* Wed Aug 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7af410e
- tests: mock QMessageBox.information too

* Mon Aug 19 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 068e6e7
- version 4.3.3-1

* Fri Aug 09 2024 Ali Mirjamali <ali@mirjamali.com> - c46b969
- Use GiB & MiB for private & system storage sizes

* Fri Aug 09 2024 Ali Mirjamali <ali@mirjamali.com> - d3a9495
- Enable debugging for qubes-restore

* Thu Aug 01 2024 Ali Mirjamali <ali@mirjamali.com> - acb6cf0
- Improve qubemanager Toolbar on smaller screens

* Tue Jul 30 2024 Ali Mirjamali <ali@mirjamali.com> - 79ccbff
- Unify qubes-os XDG config directory

* Wed Jul 24 2024 Simon Gaiser <simon@invisiblethingslab.com> - 8500b36
- clone_vm: Don't use warning MessageBox on success

* Sat Jul 20 2024 Ali Mirjamali <ali@mirjamali.com> - eed5fe9
- Enabling drag and drop between application lists

* Sat Jul 20 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4011bc6
- version 4.3.2-1

* Sat Jul 20 2024 Santiago Piccinini <spiccinini@altermundi.net> - 2b1b1bc
- Fix crash on VM settings for a VM with temporary unlocked FW

* Wed Jul 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 50b73ba
- ci: ensure pip is installed

* Wed Jul 17 2024 Ali Mirjamali <ali@mirjamali.com> - a07deea
- Disable "Disposable template" checkbox if not applicable

* Mon Jul 08 2024 Ali Mirjamali <ali@mirjamali.com> - 95a5c5b
- "Boot qubes from CD-ROM" shouldnt show the same qube as source

* Sun Jul 07 2024 Ali Mirjamali <ali@mirjamali.com> - f5be125
- Enabling double-click for VM Settings -> Available Apps <> Menu Apps

* Fri Jul 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e37573a
- version 4.3.1-1

* Tue Jul 02 2024 Ali Mirjamali <ali@mirjamali.com> - 996a390
- Loading Template Manager (qvm-template-gui) Window Icon

* Tue Jul 02 2024 Ali Mirjamali <ali@mirjamali.com> - 1da4daa
- Rename the Window title of old Template Manager to Template Switcher

* Sat Jun 29 2024 Ali Mirjamali <ali@mirjamali.com> - 5980425
- Qube Manager: Replace "IP" with "IP Address"

* Wed Jun 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8d1bedf
- ci: remove R4.1 and R4.2, add R4.3

* Wed Jun 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2875e05
- Remove useless return

* Mon Jun 24 2024 Ali Mirjamali <ali@mirjamali.com> - 31ec13c
- Visually indicate unsupported Templates & StandaloneVMs in Qube Manager

* Sun Jun 23 2024 Ali Mirjamali <ali@mirjamali.com> - 943c383
- Allow Hyphen character in custom labels

* Sat Jun 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9ff7f89
- version 4.3.0-1

* Sat Jun 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a1c97cb
- Bump requires python3-qubesadmin version

* Tue Mar 19 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - c15bc0f
- q-dev: implements new device api

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f701e83
- version 4.2.8-1

* Wed Dec 13 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 6844de8
- Fix broken VM settings for a VM with temporary unlocked FW

* Mon Dec 11 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2cafcd8
- Remove relative imports from qubesmanager

* Wed Nov 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 444542a
- version 4.2.7-1

* Sun Oct 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 124b881
- version 4.2.6-1

* Sun Oct 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a05184
- Update tests after fixing QubesOS/qubes-issues#8387

* Wed Sep 20 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - fb7691a
- Fix tests for new updater

* Tue Sep 19 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 07b7647
- Set menu-items feature instead of running qvm-appmenus

* Mon Sep 18 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 32d135b
- Use updater GUI for Qube Manager updates

* Mon Sep 18 2023 Manuel Amador (Rudd-O) <rudd-o@rudd-o.com> - f06ff89
- Correct CI errors.

* Mon Sep 18 2023 Rudd-O <rudd-o@rudd-o.com> - 300cfe5
- Fix uses of subprocess.Popen

* Fri Aug 11 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 9d5749e
- Use subprocess.Popen to spawn global config in manager

* Thu Aug 10 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - df5748c
- Update size on disk in Qube Manager occassionally

* Tue Aug 01 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - f4f829f
- Restart should be possible for persistent dispvms

